%define ver		O.8.10
%define rel		8mdk
%define prefix	/usr/X11R6

Summary:	Eterm Enlightened Terminal Emulator for X Window
Name:		Eterm
Version:	%ver
Release:	%rel
Copyright:	GPL
Group:		Terminals

Source:		Eterm-%{ver}.tar.bz2
Source1:	Eterm-bg-scale-1.tar.bz2
Source2:	Eterm-bg-scale-2.tar.bz2
Source3:	Eterm-bg-tile.tar.bz2
Source4:	Eterm-mandrake-theme
Source5:	Eterm_menu
Source6:	Eterm-48.xpm
Source7:	Eterm-32.xpm
Source8:	Eterm-16.xpm
Patch0:		Eterm-%{ver}-utempter-theme.patch.bz2

BuildRoot:	%{_tmppath}/Eterm-%ver-%rel-root
URL:		http://eterm.sourceforge.net/
Requires:	imlib >= 1.8
Prefix:		%{prefix}

Docdir: %{prefix}/doc

%description
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

Eterm works on Solaris, Linux, HP-UX, AIX, FreeBSD, and just about any flavor
of UNIX out there. It works on any windowmanager/desktop environment, including
AfterStep, BlackBox, 4DWM, CDE, KDE, GNOME, fvwm, and even twm, although it is
designed to work and integrate best with Enlightenment.


%prep

%setup -q -n Eterm-%{ver} 1
%patch0 -p1

tar yxf %{SOURCE1}
tar yxf %{SOURCE2}
tar yxf %{SOURCE3}
cd Eterm/bg
mv -f scale/* ../../bg/scale/
mv -f tile/* ../../bg/tile/
cd $RPM_BUILD_DIR/%{name}-%{version}
rm -fr Eterm

%build
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT%{prefix}

find $RPM_BUILD_ROOT%{prefix}/man -type f -exec bzip2 -9f {} \;

( cd $RPM_BUILD_ROOT
  mv .%{prefix}/bin/Eterm .%{prefix}/bin/Eterm-%{ver}
  cd $RPM_BUILD_ROOT%{prefix}/bin
  ln -sf Eterm-%{ver} Eterm
  cd $RPM_BUILD_ROOT
  chmod +x .%{prefix}/lib/lib*so* ||:
)

# Install Mandrake Theme
cp -f %{SOURCE4} $RPM_BUILD_ROOT%{prefix}/share/Eterm/themes/Eterm/MAIN

# Install icons
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
cp %{SOURCE6} $RPM_BUILD_ROOT/usr/share/icons/large/Eterm.xpm
cp %{SOURCE7} $RPM_BUILD_ROOT/usr/share/icons/Eterm.xpm
cp %{SOURCE8} $RPM_BUILD_ROOT/usr/share/icons/mini/Eterm.xpm

# Install menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/Eterm_menu $RPM_BUILD_ROOT/usr/lib/menu/Eterm

strip -s $RPM_BUILD_ROOT%{prefix}/bin/* || :

%files
%defattr(-, root, root,0755)
/usr/share/icons/Eterm.xpm
/usr/share/icons/large/Eterm.xpm
/usr/share/icons/mini/Eterm.xpm
/usr/lib/menu/*
%{prefix}/bin/Et*
%{prefix}/bin/Esetroot
%{prefix}/lib/libEterm*
%{prefix}/lib/libmej*
%{prefix}/share/Eterm/pix
%{prefix}/share/Eterm/themes
%{prefix}/man/man1/Eterm.1.bz2
%doc COPYING
%doc ChangeLog
%doc README

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
		[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi
		
/sbin/ldconfig

%changelog 
* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8.10-8mdk
- run update-menu in post and postun sections
- fix version 
- SMP build/check

* Wed Mar 29 2000 David BAUDENS <baudens@mandrakesoft.com> 0.16-7mdk
- Menu support
- Disable visual bell
- Fix a typo in Summary

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-6mdk
- Enable Mandrake Theme

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-5mdk
- Use new Group
- Use %%{_tmppath} for BuildRoot
- Update Description

* Mon Jan 03 2000 David BAUDENS <baudens@mandrakesoft.com>
- Fix name

* Sun Dec 26 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix bg

* Sat Dec 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add utemper patch from Tim POWERS <tim@redhat.com>

* Tue Nov 25 1999 - David BAUDENS <baudens@mandrakesoft.com> 
- 0.8.10 
- Make relocatable
- Clean up spec file
  
* Wed Dec 30 1998 mej <mej@mw.3com.com> 
- Added spec file.  Created by techn0ir <technoir@themes.org> 
- Modified spec file for Mandrake <johnb@mandrakesoft.com> 
